part of 'space_tree_dropdown_bloc.dart';

abstract class SpaceTreeDropdownEvent {}

class SpaceTreeDropdownSelectEvent extends SpaceTreeDropdownEvent {
  final String? spaceId;

  SpaceTreeDropdownSelectEvent(this.spaceId);
}

class SpaceTreeDropdownResetEvent extends SpaceTreeDropdownEvent {
  final String? initialId;

  SpaceTreeDropdownResetEvent(this.initialId);
}

class FetchSpacesEvent extends SpaceTreeDropdownEvent {}

class SearchQueryEvent extends SpaceTreeDropdownEvent {
  final String searchQuery;

  SearchQueryEvent(this.searchQuery);
}

class DebouncedSearchEvent extends SpaceTreeDropdownEvent {
  final String searchQuery;

  DebouncedSearchEvent(this.searchQuery);
}

class PaginationEvent extends SpaceTreeDropdownEvent {}